#ifndef CONFIGWIDGET_H
#define CONFIGWIDGET_H
#include <QtGui>
#include <QtNetwork>

class ConfigWidget : public QWidget
{

	Q_OBJECT

private:
	QLineEdit *label;
	
public:
	QTextBrowser *readText;
	QFileDialog *file;
	ConfigWidget(QWidget *parent = 0);
	QDir dir;
	
	//Configuration variables
	int NODEID;
	QString NODENAME;
	QHostAddress NODEIP;
	QHostAddress NODEIP2;
	QHostAddress NODEBROADCAST;
	int BROADCAST;
	int AGINGTIMER;
	float PENCOUNTER;
	float BETA;
	float GAMMA;
	int HELLO;
	int ALIVE;
	int HELLOTIMER;
	int INITIATORTIMER;
	int LISTENERTIMER;
	QHostAddress DTNHOSTNAME;
	int DNTTIMER;
	int STORAGESIZE;
	int MEMORYSIZE;
	int ROUTING;
	int QUEUE;
	int CONTINIUSUPDATE;
	QString STORAGEPATH;
	QString LOGPATH;
	QString MSGPATH;
	int AGEFILENODES;
	int USEFILENODES;
	int WRITETOFILETIMER;
	int USEFILEBUNDLES;
	int LOGGING;


	QLineEdit * lineNODEID;
	QLineEdit * lineNODENAME;
	QLineEdit * lineNODEIP;
	QLineEdit * lineNODEIP2;
	QLineEdit * lineNODEBROADCAST;
	QLineEdit * lineBROADCAST;
	QLineEdit * lineAGINGTIMER;
	QLineEdit * linePENCOUNTER;
	QLineEdit * lineBETA;
	QLineEdit * lineGAMMA;
	QLineEdit * lineHELLO;
	QLineEdit * lineALIVE;
	QLineEdit * lineHELLOTIMER;
	QLineEdit * lineINITIATORTIMER;
	QLineEdit * lineLISTENERTIMER;
	QLineEdit * lineDTNHOSTNAME;
	QLineEdit * lineDNTTIMER;
	QLineEdit * lineSTORAGESIZE;
	QLineEdit * lineMEMORYSIZE;
	QLineEdit * lineROUTING;
	QLineEdit * lineQUEUE;
	QLineEdit * lineCONTINIUSUPDATE;
	QLineEdit * lineSTORAGEPATH;
	QLineEdit * lineLOGPATH;
	QLineEdit * lineMSGPATH;
	QLineEdit * lineAGEFILENODES;
	QLineEdit * lineUSEFILENODES;
	QLineEdit * lineWRITETOFILETIMER;
	QLineEdit * lineUSEFILEBUNDLES;
	QLineEdit * lineLOGGING;
	QLineEdit * lineUSETTL;
	QLineEdit * lineTTL;
	QLineEdit * lineACKS;


public slots:
	void loadConfiguration();
};

#endif


