#ifndef MSGREADWIDGET_H
#define MSGREADWIDGET_H
#include <QtGui>
#include <bundle.h>
#include <nodeManager.h>
#include <bundleManager.h>

class MsgReadWidget : public QWidget
{

	Q_OBJECT

private:
		
	QLineEdit *label;

	
public:
	QComboBox *combo;
	QTextBrowser *readText;
	QFileDialog *file;
	QLineEdit *src;
	QLineEdit *dst;
	QLineEdit *opt;
	QTextEdit *line;
	QLineEdit *srcLine;
	QLineEdit *dstLine;
	MsgReadWidget(NodeManager*,BundleManager*,QWidget *parent = 0);
	NodeManager* nodeManager;
	BundleManager* bundleManager;
	QTimer* timer;
	bool firstTime;
	QListWidget* msgList;
	QDir dir;
	int sourceId;
	int ackOption;
	QString sourceStr;

signals:
	
public slots:
	void getBundle(Bundle newBundle);
	void updateLists();
	void showMsg(QListWidgetItem *);
};

#endif


