#include <QtCore>
#include <node.h>


Node::Node(QObject *parent)
{
			nodeId=0;
			probability=0.0;
			nodeName.clear();
			flag=-1;
}

Node& Node::operator=(const Node& other)
{
 nodeId = other.nodeId;
 flag = other.flag;
 probability = other.probability;
 nodeName = other.nodeName;
 return *this;
}

Node::Node(const Node& other)
{
 nodeId = other.nodeId;
 flag = other.flag;
 probability = other.probability;
 nodeName = other.nodeName;
}	
	
void Node::setContent(int id,float pro,int f,QString name)
{
	flag=f;
	nodeId=id;
	probability=pro;
	nodeName=name;

}

int Node::getId()
{
	return nodeId;
}

int Node::getFlag()
{
	
	return flag;
}

float Node::getProbability()
{
	return probability;
}

QString Node::getName()
{
	return nodeName;
}

